E-MailRelay

Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
GPop::StoreMessage Class Reference

A structure representing a pop message. More...

`#include <gpopstore.h>`

Collaboration diagram for GPop::StoreMessage:
[legend]

## Public Types
using | Size = unsigned long

## Public Member Functions
| StoreMessage (const std::string &name, Size size, bool in_parent)
G::Path | epath (const G::Path &edir) const
G::Path | cpath (const G::Path &edir, const G::Path &sdir) const
G::Path | cpath (const G::Path &) const
std::string | uidl () const

## Static Public Member Functions
static StoreMessage | invalid ()

## Public Attributes
std::string | name
Size | size
bool | in_parent
bool | deleted {false}

## Detailed Description

A structure representing a pop message.

Definition at line 97 of file gpopstore.h.

## Member Typedef Documentation

## ◆ Size

using GPop::StoreMessage::Size = unsigned long

Definition at line 100 of file gpopstore.h.

## Constructor & Destructor Documentation

## ◆ StoreMessage()

GPop::StoreMessage::StoreMessage | ( | const std::string & | name,
|  | Size | size,
|  | bool | in_parent
| ) |  |

Definition at line 155 of file gpopstore.cpp.

## Member Function Documentation

## ◆ cpath() [1/2]

G::Path GPop::StoreMessage::cpath | ( | const G::Path & | dir | ) | const

Definition at line 167 of file gpopstore.cpp.

## ◆ cpath() [2/2]

G::Path GPop::StoreMessage::cpath | ( | const G::Path & | edir,
|  | const G::Path & | sdir
| ) |  | const

Definition at line 162 of file gpopstore.cpp.

## ◆ epath()

G::Path GPop::StoreMessage::epath | ( | const G::Path & | edir | ) | const

Definition at line 172 of file gpopstore.cpp.

## ◆ invalid()

GPop::StoreMessage GPop::StoreMessage::invalid | ( |  | ) |
| static

Definition at line 177 of file gpopstore.cpp.

## ◆ uidl()

std::string GPop::StoreMessage::uidl | ( |  | ) | const

Definition at line 182 of file gpopstore.cpp.

## Member Data Documentation

## ◆ deleted

bool GPop::StoreMessage::deleted {false}

Definition at line 112 of file gpopstore.h.

## ◆ in_parent

bool GPop::StoreMessage::in_parent

Definition at line 111 of file gpopstore.h.

## ◆ name

std::string GPop::StoreMessage::name

Definition at line 109 of file gpopstore.h.

## ◆ size

Size GPop::StoreMessage::size

Definition at line 110 of file gpopstore.h.

The documentation for this class was generated from the following files:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gpop/gpopstore.h
- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gpop/gpopstore.cpp